## org.apache.myfaces.renderkit
Class MyfacesResponseStateManager

    java.lang.Object
      javax.faces.render.ResponseStateManager
          org.apache.myfaces.renderkit.MyfacesResponseStateManager

Direct Known Subclasses:
  HtmlResponseStateManager

public abstract class MyfacesResponseStateManager
extends javax.faces.render.ResponseStateManager

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Constructor Summary
`MyfacesResponseStateManager()`

Method Summary
`abstract void` `writeState(javax.faces.context.FacesContext facescontext, javax.faces.application.StateManager.SerializedView serializedview)` Writes hidden form inputs with the state info to be saved.
`abstract void` `writeStateAsUrlParams(javax.faces.context.FacesContext facescontext, javax.faces.application.StateManager.SerializedView serializedview)` Writes url parameters with the state info to be saved.

Methods inherited from class javax.faces.render.ResponseStateManager
`getComponentStateToRestore, getTreeStructureToRestore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyfacesResponseStateManager

    public MyfacesResponseStateManager()

Method Detail

### writeState

    public abstract void writeState(javax.faces.context.FacesContext facescontext,
                                    javax.faces.application.StateManager.SerializedView serializedview)
                             throws java.io.IOException

  Writes hidden form inputs with the state info to be saved. `StateManager` delegates calls to `StateManager.writeState(javax.faces.context.FacesContext, javax.faces.application.StateManager.SerializedView)` to this method.

  Throws:
    `java.io.IOException`

### writeStateAsUrlParams

    public abstract void writeStateAsUrlParams(javax.faces.context.FacesContext facescontext,
                                               javax.faces.application.StateManager.SerializedView serializedview)
                                        throws java.io.IOException

  Writes url parameters with the state info to be saved. `MyfacesStateManager` delegates calls to `StateManager.writeState(javax.faces.context.FacesContext, javax.faces.application.StateManager.SerializedView)` to this method.

  Throws:
    `java.io.IOException`